Last Comment Bug 718928 - AndroidManifest.xml does not depend on Sync manifest include fragments
: AndroidManifest.xml does not depend on Sync manifest include fragments
Status: RESOLVED FIXED
[qa-]
:
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: ARM Android
: -- normal
: ---
Assigned To: Richard Newman [:rnewman]
:
:
Mentors:
Depends on:
Blocks: 718493 720933
  Show dependency treegraph
 
Reported: 2012-01-17 22:38 PST by Richard Newman [:rnewman]
Modified: 2013-04-04 13:48 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
+


Attachments
Proposed patch. v1 (1.30 KB, patch)
2012-01-17 22:40 PST, Richard Newman [:rnewman]
ted: review+
Details | Diff | Splinter Review

Description Richard Newman [:rnewman] 2012-01-17 22:38:56 PST
This means that an incremental build will not necessarily preprocess a fresh manifest if some of its dependencies change.

This *could* be a cause of Bug 718703.

$ touch mobile/android/sync/manifests/SyncAndroidManifest_activities.xml.in
$ make -C objdir-droid/mobile/android/base -d AndroidManifest.xml
...
Updating goal targets....
Considering target file `AndroidManifest.xml'.
  Considering target file `AndroidManifest.xml.in'.
   Looking for an implicit rule for `AndroidManifest.xml.in'.
   Trying pattern rule with stem `AndroidManifest.xml.in'.
   Trying implicit prerequisite `AndroidManifest.xml.in.c'.
   Trying pattern rule with stem `AndroidManifest.xml.in'.
   Trying implicit prerequisite `AndroidManifest.xml.in.cpp'.
   Trying pattern rule with stem `AndroidManifest.xml.in'.
   Trying implicit prerequisite `AndroidManifest.xml.in.pl'.
   Trying pattern rule with stem `AndroidManifest.xml.in'.
   Trying implicit prerequisite `AndroidManifest.xml.in.sh'.
   Trying pattern rule with stem `AndroidManifest.xml.in'.
   Trying implicit prerequisite `RCS/AndroidManifest.xml.in'.
   No implicit rule found for `AndroidManifest.xml.in'.
   Finished prerequisites of target file `AndroidManifest.xml.in'.
  No need to remake target `AndroidManifest.xml.in'; using VPATH name `/Users/rnewman/moz/hg/mozilla-central/mobile/android/base/AndroidManifest.xml.in'.
 Finished prerequisites of target file `AndroidManifest.xml'.
 Prerequisite `/Users/rnewman/moz/hg/mozilla-central/mobile/android/base/AndroidManifest.xml.in' is older than target `AndroidManifest.xml'.
No need to remake target `AndroidManifest.xml'.
make: `AndroidManifest.xml' is up to date.


Adding an explicit dependency fixes this:

 Finished prerequisites of target file `AndroidManifest.xml'.
 Prerequisite `/Users/rnewman/moz/hg/mozilla-central/mobile/android/base/AndroidManifest.xml.in' is older than target `AndroidManifest.xml'.
 Prerequisite `/Users/rnewman/moz/hg/mozilla-central/mobile/android/sync/manifests/SyncAndroidManifest_activities.xml.in' is newer than target `AndroidManifest.xml'.
 Prerequisite `/Users/rnewman/moz/hg/mozilla-central/mobile/android/sync/manifests/SyncAndroidManifest_permissions.xml.in' is older than target `AndroidManifest.xml'.
 Prerequisite `/Users/rnewman/moz/hg/mozilla-central/mobile/android/sync/manifests/SyncAndroidManifest_services.xml.in' is older than target `AndroidManifest.xml'.
Must remake target `AndroidManifest.xml'.
Comment 1 Richard Newman [:rnewman] 2012-01-17 22:40:20 PST
Created attachment 589409 [details] [diff] [review]
Proposed patch. v1
Comment 2 Richard Newman [:rnewman] 2012-01-23 21:33:34 PST
Review ping?
Comment 3 Richard Newman [:rnewman] 2012-01-24 21:48:15 PST
Comment on attachment 589409 [details] [diff] [review]
Proposed patch. v1

Reviewer redirect!
Comment 4 Richard Newman [:rnewman] 2012-01-25 12:38:03 PST
Comment on attachment 589409 [details] [diff] [review]
Proposed patch. v1

Bouncing to whoever can get this reviewed the quickest. blassey nominated you, ted :D
Comment 5 Richard Newman [:rnewman] 2012-01-25 16:00:31 PST
Inbound:

https://hg.mozilla.org/integration/mozilla-inbound/rev/c93a18bfceee
Comment 6 Richard Newman [:rnewman] 2012-01-25 19:32:01 PST
https://hg.mozilla.org/mozilla-central/rev/4552b3b13be3
Comment 7 Richard Newman [:rnewman] 2012-01-25 20:35:25 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/b314edef7cbf

Note You need to log in before you can comment on or make changes to this bug.